

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Attendance List</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create">New Attendance</g:link></span>
        </div>
        <div class="body">
            <h1>Attendance List</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                   	        <g:sortableColumn property="id" title="Id" />
                        
                   	        <th>Meeting</th>
                   	    
                   	        <th>Person</th>
                   	    
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${attendanceList}" status="i" var="attendance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${attendance.id}">${attendance.id?.encodeAsHTML()}</g:link></td>
                        
                            <td>${attendance.meeting?.date.encodeAsHTML()} - ${attendance.meeting?.subject.encodeAsHTML()}</td>
                        
                            <td>${attendance.person?.fullName.encodeAsHTML()}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${Attendance.count()}" />
            </div>
        </div>
    </body>
</html>
