

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Meeting List</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create">New Meeting</g:link></span>
        </div>
        <div class="body">
            <h1>Meeting List</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                   	        <g:sortableColumn property="id" title="Id" />
                        
                   	        <g:sortableColumn property="date" title="Date" />
                        
                   	        <g:sortableColumn property="subject" title="Subject" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${meetingList}" status="i" var="meeting">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${meeting.id}">${meeting.id?.encodeAsHTML()}</g:link></td>
                        
                            <td>${meeting.date?.encodeAsHTML()}</td>
                        
                            <td>${meeting.subject?.encodeAsHTML()}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${Meeting.count()}" />
            </div>
        </div>
    </body>
</html>
