

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Edit Person</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">Person List</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">New Person</g:link></span>
        </div>
        <div class="body">
            <h1>Edit Person</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${person}">
            <div class="errors">
                <g:renderErrors bean="${person}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <input type="hidden" name="id" value="${person?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="first">First:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:person,field:'first','errors')}">
                                    <input type="text" id="first" name="first" value="${fieldValue(bean:person,field:'first')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="last">Last:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:person,field:'last','errors')}">
                                    <input type="text" id="last" name="last" value="${fieldValue(bean:person,field:'last')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="attendances">Attendances:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:person,field:'attendances','errors')}">
                                    
<ul>
<g:each var="a" in="${person?.attendances?}">
    <li><g:link controller="attendance" action="show" id="${a.id}">${a}</g:link></li>
</g:each>
</ul>
<g:link controller="attendance" params="["person.id":person?.id]" action="create">Add Attendance</g:link>

                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" value="Update" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
